hotspot/test/test_env.sh
changeset 42543 9e7ac7aff2d1
parent 35075 ca79cbf3f106
child 44411 8c642d0b237e
--- a/hotspot/test/test_env.sh	Mon Nov 07 10:12:14 2016 +0100
+++ b/hotspot/test/test_env.sh	Mon Oct 31 11:36:45 2016 +0100
@@ -1,6 +1,6 @@
 #!/bin/sh
 #
-#  Copyright (c) 2013, 2015, Oracle and/or its affiliates. All rights reserved.
+#  Copyright (c) 2013, 2016, Oracle and/or its affiliates. All rights reserved.
 #  DO NOT ALTER OR REMOVE COPYRIGHT NOTICES OR THIS FILE HEADER.
 # 
 #  This code is free software; you can redistribute it and/or modify it
@@ -204,6 +204,11 @@
 then
   VM_CPU="ia64"
 fi
+grep "s390x" vm_version.out > ${NULL}
+if [ $? = 0 ]
+then
+  VM_CPU="s390x"
+fi
 grep "aarch64" vm_version.out > ${NULL}
 if [ $? = 0 ]
 then